import { create } from "zustand";
import { AuthStoreType } from "../../auth/types/AuthTypes";

export const useAuthStore = create<AuthStoreType>((set) => ({
  phone: "",
  setPhone(value) {
    set({ phone: value });
  },
  email: "",
  setEmail(value) {
    set({ email: value });
  },
  stepLogin: 1,
  setStepLogin(value) {
    set({ stepLogin: value });
  },
}));
